<div class="main-content pad">
    <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">house</i>
	                        </div>
						    <h4 class="card-title">
						        <span jhiTranslate="sisteminformasiakademikApp.kelas.home.title">Kelas</span>
						
						        <button id="jh-create-entity" class="btn btn-success float-right jh-create-entity create-kelas" [routerLink]="['/kelas/new']">
						            <i class="material-icons">add</i>
						            <span  jhiTranslate="sisteminformasiakademikApp.kelas.home.createLabel">
						            Create a new Kelas
						            </span>
						        </button>
						    </h4>
							</div>
    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="kelas?.length === 0">
        <span jhiTranslate="sisteminformasiakademikApp.kelas.home.notFound">No kelas found</span>
    </div>
	
    <div class="card-body">
    <div class="material-datatables table-responsive" id="entities" *ngIf="kelas && kelas.length > 0">
        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
            <thead class="thead-light">
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <!-- <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span></th> -->
                    <th><span jhiTranslate="sisteminformasiakademikApp.kelas.nama">Nama</span></th>
                    <th><span jhiTranslate="sisteminformasiakademikApp.kelas.jenjang">Jenjang</span></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let kelas of kelas ;trackBy: trackId">
                    <!-- <td><a [routerLink]="['/kelas', kelas.id, 'view']">{{ kelas.id }}</a></td> -->
                    <td>{{ kelas.nama }}</td>
                    <td jhiTranslate="{{ 'sisteminformasiakademikApp.Jenjang.' + kelas.jenjang }}">{{ kelas.jenjang }}</td>
                    <!-- <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/kelas', kelas.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/kelas', kelas.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(kelas)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td> -->
                    
	                <td class="td-actions text-right">
	                    <!-- <button mat-raised-button mat-min-fab type="submit"
                                    [routerLink]="['/kelas', kelas.id, 'view']"
	                                class="btn btn-info btn-sm btn-just-icon btn-round">
	                           <i class="material-icons">visibility</i>
						         </button> -->
	                        <button mat-raised-button mat-min-fab type="submit"
                                    [routerLink]="['/kelas', kelas.id, 'edit']"
	                                queryParamsHandling="merge"
	                                 class="btn btn-success btn-sm btn-just-icon btn-round">
	                              <i class="material-icons">edit</i>
						       </button>
	                         <button mat-raised-button mat-min-fab type="button" (click)="delete(kelas)"
	                               class="btn btn-danger btn-sm btn-just-icon btn-round">
	                   				<i class="material-icons">close</i>
							</button>
	                </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="kelas && kelas.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
</div>
</div>
</div>
</div>
</div>
